Bug 1729789 - [abrt] audacity: OnExit(): audacity killed by SIGABRT
Summary: [abrt] audacity: OnExit(): audacity killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:70e3b1ea62cd6769b9a7a524494...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-14 15:24 UTC by code
Modified: 2020-01-12 01:41 UTC (History)
8 users (show)

Fixed In Version: audacity-2.3.3-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-12 01:41:06 UTC


Attachments (Terms of Use)
File: backtrace (73.03 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: cgroup (195 bytes, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: core_backtrace (28.79 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: cpuinfo (1.00 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: dso_list (13.06 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: environ (4.03 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: maps (80.40 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: mountinfo (4.34 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: open_fds (2.00 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-07-14 15:24 UTC, code
no flags Details

Description code 2019-07-14 15:24:07 UTC
Description of problem:
Crashed while recording.

Version-Release number of selected component:
audacity-2.3.2-1.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
journald_cursor: s=db401b815e544812823dcdfff1823668;i=3379f;b=39f36e50189c402f89007b60b65a4816;m=ef0bc78d;t=58da5a0531d39;x=b7e9970f785c0585
kernel:         5.1.16-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Potential duplicate: bug 1324010

Comment 1 code 2019-07-14 15:24:09 UTC
Created attachment 1590542 [details]
File: backtrace

Comment 2 code 2019-07-14 15:24:10 UTC
Created attachment 1590543 [details]
File: cgroup

Comment 3 code 2019-07-14 15:24:11 UTC
Created attachment 1590544 [details]
File: core_backtrace

Comment 4 code 2019-07-14 15:24:12 UTC
Created attachment 1590545 [details]
File: cpuinfo

Comment 5 code 2019-07-14 15:24:13 UTC
Created attachment 1590546 [details]
File: dso_list

Comment 6 code 2019-07-14 15:24:14 UTC
Created attachment 1590547 [details]
File: environ

Comment 7 code 2019-07-14 15:24:15 UTC
Created attachment 1590548 [details]
File: limits

Comment 8 code 2019-07-14 15:24:16 UTC
Created attachment 1590549 [details]
File: maps

Comment 9 code 2019-07-14 15:24:17 UTC
Created attachment 1590550 [details]
File: mountinfo

Comment 10 code 2019-07-14 15:24:17 UTC
Created attachment 1590551 [details]
File: open_fds

Comment 11 code 2019-07-14 15:24:18 UTC
Created attachment 1590552 [details]
File: proc_pid_status

Comment 12 code 2019-07-14 16:02:35 UTC
Similar problem has been detected:

Reliably crashes while recording

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
journald_cursor: s=db401b815e544812823dcdfff1823668;i=338ad;b=39f36e50189c402f89007b60b65a4816;m=132350717;t=58da5e37c5cc3;x=8e51c65b65320ea8
kernel:         5.1.16-300.fc30.x86_64
package:        audacity-2.3.2-1.fc30
reason:         audacity killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Norman Goldstein 2019-07-15 16:30:10 UTC
This has happened to me a few times, but not consistently.  I am still able to use audacity to get work done.  The crash induces a logout from my fedora session.  The crashes have occurred, some times, when I close a project, either by hitting ^W or through the File/Close option.

After logging back in to fedora, I am usually presented with a Crash/Recovery screen.  Some times, there are the 3 buttons at the bottom of the screen for options how to proceed.  Some times those three buttons are not there, and I must kill the audacity process, and also delete the crash file from the .audacity-data/AutoSave folder.

Comment 14 code 2019-07-16 01:24:34 UTC
Things I don’t know (and I’ll follow up if I get around to figuring them out):

- Does it also happen in an X11 session (I’m in a Wayland session)?

- Does this exact crash happen when editing, or only when recording? I suspect the latter. I’ve been initially working around it by recording in the CLI with arecord, then opening the resulting WAV in Audacity for editing.

For me, the crash does not take down anything outside of Audacity.

Comment 15 Michael Hathaway 2019-09-11 13:58:36 UTC
Similar problem has been detected:

Starting to record a blank track with ALSA on the 'pulse' device.

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
journald_cursor: s=5b536b50c152438c81376ff71acd2b99;i=debb0;b=11fa7e3f530e4e6da37bd1904854be95;m=c9e6127;t=59247454c502f;x=87dd911a397d4ba4
kernel:         5.1.20-300.fc30.x86_64
package:        audacity-2.3.2-1.fc30
reason:         audacity killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Jonathan Wakely 2019-10-01 12:06:17 UTC
Similar problem has been detected:

I had recorded about 3 minutes of mono audio into one audio track, then created a second track and started recording, and Audacity crashed.

reporter:       libreport-2.10.1
backtrace_rating: 3
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
journald_cursor: s=0cef6718cd8f47f1b1559ed3d4f3eb6b;i=4b50b;b=a62e241f4c9e467a8c78ad3a3762daa7;m=8a643cae9a;t=593d80c8463fd;x=c50d52bc19f9a293
kernel:         5.2.16-200.fc30.x86_64
package:        audacity-2.3.2-1.fc30
reason:         audacity killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Fedora Update System 2019-11-25 21:24:08 UTC
FEDORA-2019-4c1977cc75 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c1977cc75

Comment 18 Fedora Update System 2019-11-27 00:32:36 UTC
audacity-2.3.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-100ac5cf47

Comment 19 Fedora Update System 2019-11-27 00:42:54 UTC
audacity-2.3.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-af4df6836b

Comment 20 Fedora Update System 2019-11-27 01:07:41 UTC
audacity-2.3.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c1977cc75

Comment 21 Ben Cotton 2019-11-27 14:26:15 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 22 Ben Cotton 2019-11-27 16:34:44 UTC
This bug was accidentally closed due to a query error. Reopening.

Comment 23 aixadmin 2020-01-09 02:08:36 UTC
Similar problem has been detected:

This problem is unique to the Rock Band PDP USB microphone (0e6f:0102 Logic3) & (0e6f:0102 Logic3 PDP USB Microphone).
I can record the first track with this microphone but Audacity crashes I use shift-record to add a second track.


reporter:       libreport-2.11.3
backtrace_rating: 4
cmdline:        audacity
crash_function: OnExit
executable:     /usr/bin/audacity
journald_cursor: s=259a925f2e024a5eb29b501d750fca9d;i=f257;b=c5951b9ef42f45f496bfd3e280bf6bbb;m=2eaae4fa2;t=59baa98d6f490;x=b5fd5aa88d39a1d1
kernel:         5.4.7-100.fc30.x86_64
package:        audacity-2.3.2-1.fc30
reason:         audacity killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors:

Comment 24 Fedora Update System 2020-01-12 01:41:06 UTC
audacity-2.3.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.